


# -------------------------------------------------------------------------
#       Control file for Microsoft Visual  C++ make                       |
#--------------------------------------------------------------------------



#
# ---------------------- Path names ----------------------------
#


!ifndef MSVCPATH
MSVCPATH     = f:\msvc20
!endif



# ------------- Should not need to change anything below this line --------


#
# ---------------------- What platform do we want? -------------
#


YACLPLATFORM = WIN32

# Do we want the 3d look using CTL3D? (Comment this out if you're compiling
# for Windows 95 or Windows NT 4.0.)
# USE_CTL3D    = -DUSE_CTL3D



# ---------------------  Command names -------------------------
#

MSVCBIN = $(MSVCPATH)\bin

COPY    = copy
DELETE  = del
RENAME  = mv
SED     = sed
FIND    = find
AWK     = mawk
LIBR    = lib
UNZIP   = unzip
ZIP     = zip
SH      = sh
MAKE    = $(MSVCBIN)\nmake
CC      = $(MSVCBIN)\cl
LINK    = $(MSVCBIN)\link
RC      = $(MSVCBIN)\rc





YACLLIB     = $(YACLPATH)\lib\$(YACLPLATFORM)
INCPATH     = /I$(YACLPATH) /I$(MSVCPATH)\include
LIB         = $(MSVCPATH)\LIB;$(YACLLIB)


#
# ---------------------- YACL components --------------------
#

BASE     = base
MEMORY   = memory
IO       = io
UI       = ui
BASELIB  = $(YACLLIB)\$(BASE).lib
IOLIB    = $(YACLLIB)\$(IO).lib
UILIB    = $(YACLLIB)\$(UI).lib



#
#  ---------------------------- Compile options ------------------------
#

!ifdef DEBUG
DEBUGFLAGS = -DDEBUG -Zi
DEBUGLINK  = /DEBUG
!endif


!ifdef BUILD_DLL
DLLOPTS = -LD
!endif


DEFINES = -DWIN32 -D__MS_WIN32__ $(USE_CTL3D)
CCOPTS  = -c $(INCPATH) $(HDRPATH) $(DEFINES) $(DEBUGFLAGS) -nologo $(DLLOPTS)

