

include $(YACLPATH)/control/emxdebug.ctl


LIBS = base io ui


yacl: libdir $(LIBS)

everything: base io ui basedemo uidemos apps



libdir:
	-md $(YACLPATH)\lib
	-md $(YACLPATH)\lib\$(YACLPLATFORM)




.PHONY: base io ui uidemos

base:
	- cd base && $(MAKE) -f emxdebug.mak && cd .. 


io:
	- cd io && $(MAKE) -f emxdebug.mak && cd .. 


ui:
	- cd ui && $(MAKE) -f emxdebug.mak && cd .. 


uidemos:
	- cd uidemo && $(MAKE) -f emxdebug.mak && cd ..

apps:
	- cd apps/bmpview; $(MAKE) -f emxdebug.mak ; cd ../dlged
	- $(MAKE) -f emxdebug.mak; cd ../..
        

clean:
	-rm -f base/*.o io/*.o ui/*.o
	-rm -f lib/$(YACLPLATFORM)/base.a lib/$(YACLPLATFORM)/io.a
	-rm -f lib/$(YACLPLATFORM)/ui.a
	-rm -f apps/dlged/*.o apps/dlged/*.exe
	-rm -f apps/bmpview/*.o apps/bmpview/*.exe
	-cd uidemo && $(MAKE) -f emxdebug.mak clean && cd ..
        

        



