
LIBRARY = $(YACLLIB)/libio.a
IO_SO   = $(YACLPATH)/lib/$(YACLPLATFORM)/libio.so

include $(YACLPATH)/control/gnuc.ctl

LIBRARY_SO = $(IO_SO)


# ------------------------ Names of files --------------------------


OBJECTS =    \
binfile.o     \
bytstore.o \
directry.o \
dskbtree.o \
pathname.o \
slotfile.o





.SUFFIXES:
.SUFFIXES: .cxx .o

all: $(LIBRARY)  $(BUILD_SHARED_IO)


$(LIBRARY): $(OBJECTS)
	ar r $(LIBRARY) $(OBJECTS)
	$(RANLIB) $(LIBRARY)



build_shared_io: $(OBJECTS)
	rm -rf $(IO_SO)
	$(BUILD_SO_CMD) -o $(IO_SO) $(OBJECTS)


.cxx.o:
	$(CC) $(CCOPTS)  $(PIC)  $*.cxx
        


clean:
	-rm -f *.o   $(IO_SO) $(LIBRARY)

